Table of Contents

Class: pref_manager | ../bkchem/pref_manager.py
--- | ---
Base Classes |
--- | ---
object
Methods |
--- | ---
__init__ add_preference get_preference has_preference read_from_dom read_pref_file write_to_dom write_to_file
| __init__
    __init__ ( self,  file_names=None )
| add_preference
    add_preference (
            self,
            name,
            value,
            )
| get_preference
    get_preference ( self,  name )
| has_preference
    has_preference ( self,  name )
| read_from_dom
    read_from_dom ( self,  doc )
| read_pref_file
    read_pref_file ( self,  name )
| write_to_dom
    write_to_dom ( self,  doc=None )
| write_to_file
    write_to_file ( self,  f )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1